package com.zh.project0512.mapper;

import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.zh.project0512.model.Admin;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.zh.project0512.model.User;
import com.zh.project0512.model.Video;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.List;

/**
 * <p>
 * Mapper 接口
 * </p>
 *
 * @author zh
 * @since 2022-06-10
 */
public interface AdminMapper extends BaseMapper<Admin> {
    @Select("SELECT  \n" +
        "(SELECT COUNT(1) from task) as taskNum,\n" +
        "(SELECT COUNT(1) from reference where isDeleted = 0 ) as referenceNum,\n" +
        "(SELECT COUNT(1) from customerActionNote) as customerActionNoteNum,\n" +
        "IFNULL(sum(v.playNum),0) as playNumSum, \n" +
        "IFNULL(sum(v.commendNum),0) as commendNumSum, \n" +
        "IFNULL(sum(v.collectionNum),0) as collectionNumSum, \n" +
        "IFNULL(sum(v.commentNum),0) as commentNumSum, \n" +
        "IFNULL(sum(v.reSendNum),0) as reSendNumSum, \n" +
        "IFNULL(sum(v.recommendNum),0) as recommendNumSum\n" +
        "      from video as v ")
    JSONObject statistics1();

    @Select("<script>" +
        "SELECT date_format(creatAt, '%Y-%m-%d') as dat" +
        ",IFNULL(sum(playNum),0) as playNumSum " +
        ",IFNULL(sum(commendNum),0) as commendNumSum " +
        ",IFNULL(sum(collectionNum),0) as collectionNumSum " +
        ",IFNULL(sum(commentNum),0) as commentNumSum " +
        ",IFNULL(sum(reSendNum),0) as reSendNumSum " +
        ",IFNULL(sum(recommendNum),0) as recommendNumSum " +
        "from video \n" +
        "where date_format(creatAt, '%Y-%m-%d')" +
        "<if test='ew != null'>" +
        "<if test='ew.nonEmptyOfWhere'>" +
        "AND " +
        "</if> " +
        "${ew.SqlSegment}" +
        "</if> " +
        "GROUP BY dat ORDER BY dat "+
        "</script>")
    List<JSONObject> statistics2(@Param("ew") Wrapper<Video> queryWrapper);
    @Select("<script>" +
        "SELECT date_format(creatAt, '%Y-%m') as dat" +
        ",IFNULL(sum(playNum),0) as playNumSum " +
        ",IFNULL(sum(commendNum),0) as commendNumSum " +
        ",IFNULL(sum(collectionNum),0) as collectionNumSum " +
        ",IFNULL(sum(commentNum),0) as commentNumSum " +
        ",IFNULL(sum(reSendNum),0) as reSendNumSum " +
        ",IFNULL(sum(recommendNum),0) as recommendNumSum " +
        "from video \n" +
        "where date_format(creatAt, '%Y-%m')" +
        "<if test='ew != null'>" +
        "<if test='ew.nonEmptyOfWhere'>" +
        "AND " +
        "</if> " +
        "${ew.SqlSegment}" +
        "</if> " +
        "GROUP BY dat ORDER BY dat "+
        "</script>")
    List<JSONObject> statistics3(@Param("ew") Wrapper<Video> queryWrapper);
}
