package com.zh.project0512.mapper;

import com.zh.project0512.model.TaskReference;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Insert;
import org.apache.ibatis.annotations.Select;

import java.util.List;
import java.util.Map;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author zh
 * @since 2022-05-23
 */
public interface TaskReferenceMapper extends BaseMapper<TaskReference> {
    @Insert("<script> " +
        "insert into taskReference (taskId,referenceId) values\n"+
        "  <foreach collection= 'list' item= 'item'  separator=','>\n" +
        "(#{taskId},#{item})\n"+
        "</foreach> \n"+
        "</script>")
    void addGroup(List list,int taskId);
    @Select("select t2.id,t2.title,t2.type,t2.fileUrl,t2.coverUrl from taskReference as t1,reference as t2 where t1.taskId = #{id} and t1.referenceId = t2.id")
    List<Map> listByTaskId(int id);
}
