package com.zh.project0512.mapper;

import com.zh.project0512.model.Brand;
import com.zh.project0512.model.TopicActivity;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Update;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author zh
 * @since 2022-05-26
 */
public interface TopicActivityMapper extends BaseMapper<TopicActivity> {
    @Update("update topicActivity set sortWeight = sortWeight + 1 where sortWeight <> 0;")
    void updSortWeightPlus();
    @Update("<script>" +
        "update topicActivity set sortWeight = -1 where sortWeight = #{origin};\n" +
        "<if test='originHigherCurrent'> " +
        "update topicActivity set sortWeight = sortWeight + 1 where sortWeight &lt;&gt; 0 and sortWeight &gt;= #{current} and sortWeight &lt; #{origin};"+
        "</if>" +
        "<if test='!originHigherCurrent'> " +
        "update topicActivity set sortWeight = sortWeight - 1 where sortWeight &lt;&gt; 0 and sortWeight &gt; #{origin} and sortWeight &lt;= #{current};\n" +
        "</if>" +
        "update topicActivity set sortWeight = #{current} where sortWeight = -1;" +
        "</script>")
    void updSort(int origin, int current, boolean originHigherCurrent);
}
