package com.zh.project0512.mapper;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.zh.project0512.model.UserAccount;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.Map;

/**
 * <p>
 * Mapper 接口
 * </p>
 *
 * @author zh
 * @since 2022-06-08
 */
public interface UserAccountMapper extends BaseMapper<UserAccount> {
    @Select("<script>" +
        "select t1.*,t2.name as userName,t3.departmentId,t3.name as departmentName " +
        "from userAccount as t1 " +
        "left join user as t2 on t1.userId = t2.id " +
        "left join qywxDepartment as t3 on t2.main_department = t3.departmentId " +
        "where 1=1" +
        "<if test='ew != null'>" +
        "<if test='ew.nonEmptyOfWhere'>" +
        "AND" +
        "</if>" +
        "${ew.sqlSegment}" +
        "</if>" +
        "</script>")
    IPage<Map> listAll(IPage<Map> page, @Param("ew") Wrapper<UserAccount> queryWrapper);
    @Select("SELECT t1.status FROM userAccount t1 " +
        "INNER JOIN user t2 on t2.id = t1.userId and  t2.id = #{userId} and t1.platform = #{platform}")
    Integer userAccountStatus(int userId,int platform);
}
