package com.zh.project0512.model;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import javax.validation.constraints.Size;

/**
 * <p>
 *
 * </p>
 *
 * @author zh
 * @since 2022-05-26
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
@TableName("topicActivity")
@Schema
public class TopicActivity extends Model {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @Schema(title = "标题",description = "限制64个字符内")
    @Size(max=64,min = 1,message = "标题长度在不超过64")
    private String title;

    @Schema(title = "副标题")
    private String subtitle;
    /**
     * 类型:1视频；2图片；3文章
     */
    @Schema(title = "类型",description = "1视频；2图片；3文章")
    private Integer type;

    /**
     * 内容
     */
    @Schema(title = "内容")
    private String content;

    /**
     * 时长(视频需要)
     */
    @Schema(title = "时长(视频需要)")
    @TableField("duration")
    private Integer duration;

    /**
     * 封面
     */
    @Schema(title = "封面")
    private String cover;

    /**
     * 播放次数
     */
    @Schema(title = "播放次数")
    @TableField("playNum")
    private Integer playNum;

    /**
     * 首页展示：1是；0否
     */
    @Schema(title = "首页展示：1是；0否")
    @TableField("showAtIndex")
    private Integer showAtIndex;

    @TableField("creatAt")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime creatAt;

    @TableField("updateAt")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime updateAt;

    /**
     * 排序权重:数字越小排序靠前
     */
    @Schema(title = "排序权重:数字越小排序靠前")
    @TableField("sortWeight")
    private Integer sortWeight;
}
