package com.zh.project0512.model;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.util.List;

import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 *
 * </p>
 *
 * @author zh
 * @since 2022-06-29
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
@TableName("userPointsRecords")
public class UserPointsRecords extends Model {

    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 用户主键id
     */
    @TableField("userId")
    private Integer userId;

    /**
     * 类型，1.任务奖励，2.素材分享奖励，3.线下结算扣除 4.后台更改
     */
    private Integer type;

    @Schema(title="类型说明")
    @TableField(exist = false)
    private String typeDSC;
    /**
     * 结算方式，1.增加，2.扣除
     */
    @TableField("settlementMethod")
    private Integer settlementMethod;
    @Schema(title="结算方式说明")
    @TableField(exist = false)
    private String settlementMethodDSC;
    /**
     * 积分
     */
    private Integer points;

    /**
     * 创建日期
     */
    @TableField("createDate")
    private LocalDateTime createDate;

    /**
     * 备注
     */
    @TableField("remarks")
    private String remarks;

}
